Mint 14: update-alternatives seems not to work

Questions about applications and software
Forum rules
Before you post please read this

Mint 14: update-alternatives seems not to work

Postby skipper on Tue Feb 12, 2013 4:16 pm

Hello,

I need to install cuda 5 on Mint 14. Cuda 5 doesn't work with gcc-4.7 and g++-4.7, the default version of Mint 14 so I installed gcc-4.5 and g++-4.5.

Now I'd like to use "update-alternatives" to make gcc-4.5 and g++-4.5 the default version during the installation but "update-alternatives --query gcc" says that there isn't an alternative (version 4.5) installed?!?!

Infact version 4.5 is installed from the repository.

How can I make update-alternatives aware of version 4.5?

skipper
skipper
Level 1
Level 1
 
Posts: 22
Joined: Fri Jun 04, 2010 11:59 am

Linux Mint is funded by ads and donations.
 

Re: Mint 14: update-alternatives seems not to work

Postby xenopeek on Tue Feb 12, 2013 6:17 pm

Problem is indeed there is no alternatives registration for gcc or g++. Another user has figured out a while back the commands to run to make a new alternatives registration for gcc and g++. See here: http://askubuntu.com/a/26518. Just replace version 4.3 and 4.4 with 4.5 and 4.7 and you should be set :wink: You only need to follow the steps under "Install Alternatives" and "Configure Alternatives".
Forum Rules | IRC Channel Rules
Image
Arch Linux / 64-bit / Gnome Shell
User avatar
xenopeek
Level 21
Level 21
 
Posts: 13639
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands


Return to Software & Applications

Who is online

Users browsing this forum: Bing [Bot] and 21 guests